Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 162873

Summary: kernel Oops in do_IRQ (XFS stack overflow)
Product: [Fedora] Fedora Reporter: Tirian Wilson <tirianw>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED UPSTREAM QA Contact: Brian Brock <bbrock>
Severity: high Docs Contact:
Priority: medium    
Version: 4CC: wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-07-28 07:42:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
capture of the result of the kernel switch console=ttyS0
none
another crash dump none

Description Tirian Wilson 2005-07-10 21:56:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Every so often the kernel crashes and hangs the machine.  I tried reinstalling FC4, switching to a different computer, and booting with the acpi=off kernel flag, but nothing has helped.  The crash seems to occur during heavy periods of network traffic or hard disk activity - high IRQ loads.  However, I have never gotten the computer to run for more than a couple of hours without crashing.  At first I thought it was related to NFS because that was where I was having the crashes, but after more investigating, it can happen at any time.

Version-Release number of selected component (if applicable):
2.6.11-1.1369-FC4

How reproducible:
Always

Steps to Reproduce:
1. install FC4
2. start a high irq task

  

Actual Results:  crash after a while

Expected Results:  normal operation

Additional info:

The two computers I have used are as follows:
System 1:
PII-333
Intel MB
2x 64mb pc133 DIMMS
Segate 40Gb hard drive

System 2:
AMD Duron 1.7
Asus A7NX8 MB
1x 128mb pc2100 DIMM
WD 250Gb hard drive


Optional packages installed (all with yum):
samba-swat

Other Setup:
running in runlevel 3 - no RHGB
running httpd, nfs, samba, postgres, and sendmail

Comment 1 Tirian Wilson 2005-07-10 22:02:30 UTC
Created attachment 116578 [details]
capture of the result of the kernel switch console=ttyS0

This is a capture of the console output of the kernel.	The end repeats until a
key is pressed on the keyboard.  This time I stopped it after about a minute.

Comment 2 Tirian Wilson 2005-07-10 22:07:23 UTC
*** Bug 162872 has been marked as a duplicate of this bug. ***

Comment 3 Tirian Wilson 2005-07-11 02:24:34 UTC
Created attachment 116580 [details]
another crash dump

This is another dump, but this time it didn't generate continious output - it
stopped on its own.

Comment 4 Tirian Wilson 2005-07-11 11:28:14 UTC
After looking at this some more, I am not sure what the problem is, I thought it
was related to IRQs, but it may actually be a VM issue.  All I know is that I
have no idea what is wrong.  It does not happen on my other FC4 box, and I don't
know why.  The only thing that I can think is that both of the failing machines
have only 128Mb of ram, while the working machine has 1Gb.  If you need more
traces, or other information, please feel free to E-Mail me at tirianw@gmail.com.

Comment 5 Tirian Wilson 2005-07-12 15:45:04 UTC
I borrowed a 512Mb DIMM and installed it, and that seems to have fixed the
problem.  Which makes me think that the problem is in the VM subsystem.  Adding
more memory reduces the crashes, but I can make it crash within 2 hours with
128mb of ram running in text only mode.  The release notes say that only 64 is
required for text mode, so this still needs to be looked into.

Comment 6 Dave Jones 2005-07-15 21:49:57 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 7 Dave Jones 2005-07-28 07:42:45 UTC
There are known issues with XFS and 4KB stacks.  I'd suggest bringing this up
with the SGI folks upstream, as XFS doesn't get any attention from Fedora
maintainers, we just inherit whatever fixes occur upstream.